package com.ywt.outpatient.api.req;

import java.util.Date;

public class OperationLogReq {
    private Integer id;


    /**
     * 创建时间
     */
    private Date createTime;


    /**
     * 删除标识：0-未删除；1-已删除
     */
    private Boolean deleted;


    /**
     * 操作来源终端，取值参考 sys_dict_type_item 表 type_code = `platform_terminal` 的数据
     */
    private Integer terminal;


    /**
     * 操作类型，取值参考 sys_dict_type_item 表 type_code = `operation_log_type` 的数据
     */
    private Integer type;


    /**
     * 操作用户 id
     */
    private Integer userId;


    /**
     * 用户类型，取值参考 sys_dict_type_item 表 type_code = `operation_log_user_type` 的数据
     */
    private Integer userType;


    /**
     * 请求参数记录
     */
    private String request;


    /**
     * 响应参数记录
     */
    private String response;


    /**
     * 保留字段
     */
    private String remark;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public Integer getTerminal() {
        return terminal;
    }

    public void setTerminal(Integer terminal) {
        this.terminal = terminal;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    public String getRequest() {
        return request;
    }

    public void setRequest(String request) {
        this.request = request;
    }

    public String getResponse() {
        return response;
    }

    public void setResponse(String response) {
        this.response = response;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
